Page MenuHomePhabricator

Physically move db1053 to a different rack
Closed, ResolvedPublic

Description

Hey Chris,

I would like to request a server move.
If possible I would like to move db1053, which is currently: https://racktables.wikimedia.org/index.php?page=object&tab=default&object_id=1762

To be moved to: https://racktables.wikimedia.org/index.php?page=rack&rack_id=1948 (different rack and row).

I am unsure about what do you need from my side to move this server: I can stop MySQL and you can power it off before doing so?
Do we need to change something from network point of view?

I will reimage this server once it is moved.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb1053 update IP

Related Objects

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptOct 10 2016, 7:27 AM
Restricted Application added subscribers: Southparkfan, Aklapper. · View Herald Transcript

@Marostegui I can move this server to A2. Give me the go ahead once you have powered off and it's safe to move.

Thanks Chris - I have been told I have to update DNS with the new IP, is that something you can give me beforehand or it will just dhcp it?

Also, given that tomorrow is a bank holiday here, I think we can rather wait till Thursday.

Thanks!

@Marostegui I will fix the dns for you once it's moved to row A.

@Cmjohnson Excellent! Thanks!. So let's wait till Thursday then

Mentioned in SAL (#wikimedia-operations) [2016-10-13T14:32:02Z] <marostegui> Shutting down MySQL in db1053, it is going to be moved to another rack - T147774

Server downtimed
MySQL stopped
Server powered off

gerritbot added a subscriber: gerritbot.

Change 315690 had a related patch set uploaded (by Cmjohnson):
Moving db1053 to row A, updating dns entries(T147774), at same time removing dns entries for decom host db1010 (T129395)

https://gerrit.wikimedia.org/r/315690

Change 315690 merged by Cmjohnson:
Moving db1053 to row A, updating dns entries(T147774), at same time removing dns entries for decom host db1010 (T129395)

https://gerrit.wikimedia.org/r/315690

Cmjohnson closed this task as Resolved.Oct 13 2016, 3:19 PM
Cmjohnson claimed this task.

@Marostegui db1053 has been moved to A2

DNS updated
Switch Cfg updated
Racktables updated

Change 315691 had a related patch set uploaded (by Marostegui):
db1053 update IP

https://gerrit.wikimedia.org/r/315691

Change 315691 merged by jenkins-bot:
db1053 update IP

https://gerrit.wikimedia.org/r/315691

Mentioned in SAL (#wikimedia-operations) [2016-10-13T15:37:09Z] <marostegui@mira> Synchronized wmf-config/db-eqiad.php: wmf-config/db-codfw.php db1053 got moved to another rack so updating its IP - T147774 (duration: 00m 50s)

/etc/network/interfaces changed to reflect the new IP.

All good - thanks Chris.